#
# Build stage
#
FROM public.ecr.aws/docker/library/maven:3-amazoncorretto-17 AS build
COPY src /home/app/src
COPY pom.xml /home/app
RUN mvn -f /home/app/pom.xml clean package

#
# Package stage
#
FROM public.ecr.aws/amazoncorretto/amazoncorretto:17
COPY --from=build /home/app/target/springhello-0.0.1-SNAPSHOT.jar /usr/local/lib/springhello-0.0.1-SNAPSHOT.jar
RUN yum clean all && yum update -y && yum install -y java-17-amazon-corretto-devel
EXPOSE 8080
USER 10014
ENTRYPOINT ["java","-jar","/usr/local/lib/springhello-0.0.1-SNAPSHOT.jar"]
